## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-docopt-ng
Version:        0.9.0
Release:        %autorelease
Summary:        Humane command line arguments parser
License:        MIT
URL:            https://github.com/jazzband/docopt-ng
Source:         %{pypi_source docopt_ng}
BuildArch:      noarch

%global _description %{expand:
docopt-ng helps you create beautiful command-line interfaces.  The option
parser is generated based on the docstring that is passed to docopt function.
docopt parses the usage pattern ("Usage: ...") and option descriptions (lines
starting with dash "-") and ensures that the program invocation matches the
usage pattern; it parses options, arguments and commands based on that.  The
basic idea is that a good help message has all necessary information in it to
make a parser.}


%description %{_description}


%package -n python3-docopt-ng
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

# This software is a fork of the original docopt.  The fork switched from a
# python module (docopt.py) to a python package (docopt/__init__.py), so
# technically the rpm packages could be co-installable.  However, they are not
# co-usable, because python code can only import one or the other.  For this
# reason, we will go ahead and conflict with other rpm package.
Conflicts:      python3-docopt


%description -n python3-docopt-ng %{_description}


%prep
%autosetup -n docopt_ng-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files docopt


%check
%pytest


%files -n python3-docopt-ng -f %{pyproject_files}
%license LICENSE-MIT
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.9.0-3
- Rebuilt for Python 3.13

* Thu Mar 07 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.9.0-2
- Conflict with python3-docopt

* Wed Mar 06 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.9.0-1
- Initial package rhbz#2268249
## END: Generated by rpmautospec
